Subject: Re: What's cooking in git.git (Aug 2021, #01; Sun, 1)

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Aug 2021 09:16:52 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> * ab/progress-users-adjust-counters (2021-07-23) 3 commits
>>  - entry: show finer-grained counter in "Filtering content" progress line
>>  - midx: don't provide a total for QSORT() progress
>>  - commit-graph: fix bogus counter in "Scanning merged commits" progress line
>>
>>  The code to show progress indicator in a few codepaths did not
>>  cover between 0-100%, which has been corrected.
>>
>>  Will merge to 'next'.
>
> Still marked for "next", last time around (in
> https://lore.kernel.org/git/[email-masked]/) I
> asked:
>
>     Thanks. Do you think a re-roll is needed for what you mentioned in
>     https://lore.kernel.org/git/[email-masked]/?
>
> I'll assume a "no" as far as me doing a re-roll, but in case you just
> didn't see that...

I did ask a question at the end of that message about what would
happen when !ce and checkout is skipped (hence not counted in the
progress), and do not think it was answered.  If it is not an issue,
then no reroll is needed, but it may need to be explained why
skipping is OK.

Let me mark it as "Waiting for a clarification." for now.  I won't
be working on 'next' promotion today, so I can wait for timezone
difference ;-)  Thanks for reminding me.

>> * ab/bundle-tests (2021-07-22) 2 commits
>>   (merged to 'next' on 2021-07-22 at 053b5d0ecf)
>>  + bundle tests: use test_cmp instead of grep
>>  + bundle tests: use ">file" not ": >file"
>>
>>  "git bundle" gained more test coverage.
>>
>>  Will merge to 'master'.
>
> Thanks!
>
>> * ab/refs-files-cleanup (2021-07-26) 11 commits
>>  ...
>>  Waiting for a reroll.
>>  Patches are mostly good, but needs typofixes etc.
>
> In the last WC this had a "Will merge to 'next'", I think the typofixes
> etc. note is obsolute for 1-2 iterations now, latest one at:
> https://lore.kernel.org/git/[email-masked]

OK, I took a quick glance at "range-diff @{$n}..." for n==1 and n==2
on the branch and didn't see any and assumed that the comment was
still valid.  I'll find time to revisit the list archive sometime
today.

>> * ab/pack-stdin-packs-fix (2021-07-09) 2 commits
>> ...
> As noted in
> https://lore.kernel.org/git/[email-masked]/ let's
> take Taylor's https://lore.kernel.org/git/[email-masked]/
> as that Ack (he was also CC'd on my reply to the last WC...)>

Thanks.

>> * ab/make-tags-cleanup (2021-07-22) 5 commits
>>  - Makefile: normalize clobbering & xargs for tags targets
>>  - Makefile: the "cscope" target always creates a "cscope.out"
>>  - Makefile: don't use "FORCE" for tags targets
>>  - Makefile: add QUIET_GEN to "cscope" target
>>  - Makefile: move ".PHONY: cscope" near its target
>>
>>  Build clean-up for "make tags" and friends.
>>
>>  Expecting a reroll.
>>  4/5 may want a minor tweak to the log and the patch text but otherwise looks good.
>
> Per my note in reply to the last WC I think it's fine as-is:
> https://lore.kernel.org/git/[email-masked]/

I thought <https://lore.kernel.org/git/[email-masked]/#t>
gave us the good stopping point for the patch [4/5].

>> * ab/config-based-hooks-base (2021-06-29) 33 commits
> ...
>>  Waiting for reviews.
>
> I'll re-roll this one as promised in
> https://lore.kernel.org/git/[email-masked]/; didn't
> get to it.

OK, thanks.  This can wait if you have other things to clean up or
review, but with this message I think you've cleared a lot of them
;-)

>> * ab/serve-cleanup (2021-06-28) 8 commits
>...
>>  cf. <[email-masked]>
>
> As noted in my notes on the last WC these have both been addressed in a
> re-roll.

It seems that I am missing the v3 that was sent on 07-21.  Will take
a look.

Thanks.